<template>
  <div class="page_container">
    <side-nav-bar
      title="开发文档"
      imgSrc="tool_ic_kaifawendang"
      :nav-list="navList"
      :title-path="navList[0] && navList[0].path"
      style="width: 200px;"
    ></side-nav-bar>
    <div class="main_container">
      <router-view />
    </div>
  </div>
</template>

<script>
import sideNavBar from "@/components/side-nav-bar";

export default {
  components: {
    sideNavBar,
  },
  data: () => ({
    navList: [],
  }),
  watch: {
    "$route.fullPath"(path) {
      this.initNavList();
    },
  },
  methods: {
    initNavList() {
      this.$api.general.getNowMenu({ teamName: "APAAS3" }).then((response) => {
        if (response.data.success == 1) {
          let arr = response.data.data[0].Child;
          let user_index = arr.findIndex(
            (item) => item.visit_url == "/technical_support/doc"
          );
          if (user_index != -1) {
            this.navList = arr[user_index].Child;
            this.navList.forEach((item) => {
              item.name = item.menu_name;
              item.path = item.visit_url;
            });
          }
        }
      });
    },
  },
  mounted() {
    this.initNavList();
  },
};
</script>

<style scoped>
.page_container {
  height: calc(100vh - 58px);
  display: flex;
  justify-content: flex-start;
  align-items: stretch;
}
.side_nav_bar {
  width: 180px;
  flex-shrink: 0;
}
.main_container {
  width: calc(100% - 180px);
  flex-grow: 1;
  flex-shrink: 1;
  background-color: #f6f7fb;
  overflow: auto;
}
</style>
